Erro ao editar tema no WordPress 4.9

WordPress

A partir da versão 4.9, o WordPress possui uma verificação de código embutido em seu editor. Esta verificação está causando um sério problema para os desenvolvedores.

Muitos estão editando seus temas e não conseguem salvar. Ao tentar salvar, dois erros são mais comuns:

Não foi possível se comunicar com o site para verificar possíveis erros fatais e, por isso, a mudança no PHP foi desfeita. Você precisará enviar o arquivo PHP alterado de outra forma, como através de SFTP, por exemplo.

WordPress - Erro ao atualizar

WordPress – Erro ao atualizar

Algo deu errado e sua alteração pode não ter sido salva. Tente novamente. Há também uma chance de que você precise corrigir e enviar o arquivo manualmente por FTP

WordPress - Erro ao atualizar

WordPress – Erro ao atualizar

Estes dois erros tratam da mesma coisa. Não é seu site que não está respondendo, e sim a validação que não está passando.

Já li muita coisa na Internet sobre isto. Tem pessoas que copiam alguns arquivos de uma versão 4.8 para resolver o problema, mas eu não acho a melhor saída.

Bom, a melhor saída é fazer com que a verificação funcione, mas como ainda não consegui, segue uma segunda opção que não vai alterar seu código.

Infelizmente neste caso teremos que instalar mais um plugin.

Também testei alguns plugins para isto, alguns deram erro 500 no site, outros funcionaram. O que melhor funcionou para mim foi o Theme Editor

Theme Editor - Plugin WP

Theme Editor – Plugin WP

Ao instalar e ativar, ele aparecerá em dois locais do seu Dashboard

Theme Editor Dashboard

Theme Editor Dashboard Menu aparência

 

Theme Editor Dashboard

Theme Editor Dashboard

Após isto, você pode editar seu tema diretamente nestas opções do menu.

Lembro que esta é uma alternativa para “driblar” esta validação. Quando tivermos a solução correta e definitiva, postaremos aqui.

Um abraço a todos

Deixe uma resposta

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *